# Truss 🚀

Welcome to TrussParser! This is a gem that parses and normalizes CSV data according to the specs in `challenge.md`


## Installation

Assuming you have an environment set up for the Ruby ecosystem:

    $ gem install truss_parser

## Usage

- After `gem install`ing the `truss` gem:
  - Run `truss_parser sample.csv` to parse and normalize the `sample.csv` that is shipped along in this gem. Alternatively, you can also run `truss_parser sample-with-broken-utf8.csv` as well. The TrussParser gem takes in a CSV file as an argument, and outputs normalized CSV data in `normalized_data.csv`. The `scrubbed-sample.csv` file is in an in-between state: the CSV is cleaned of broken Unicode, has had rows dropped (if there was bad data), but has not had any data manipulation or transformations yet. The `normalized_data.csv` file is _both_ free of broken Unicode and had its data manipulated and transformed according to the specifications in `challenge.md`
- Example:

![Example of gem usage](truss_parser.gif)

## Testing

- Run `rake spec` to run the RSpec tests.
- To run one spec in particular, run `bundle exec rspec spec/truss_parser/parser_spec.rb`
- `parser_spec.rb` outputs its normalized CSV to `normalized_test_data.csv`. This is done in attempts to keep the test environment separate and not pollute the development environment.
- You can also run `bin/console` for an interactive prompt that will allow you to experiment.


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Truss project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/arbonap/truss_parser/blob/master/CODE_OF_CONDUCT.md).
